summaryrefslogtreecommitdiff
path: root/pcr/i2p/i2prouter.bash
diff options
context:
space:
mode:
authorFreemor <freemor@freemor.ca>2020-05-27 15:28:05 -0300
committerFreemor <freemor@freemor.ca>2020-05-27 15:28:05 -0300
commitf35f30433bcea7844d6231af3879cb96404a7dd8 (patch)
treeed08179029c6ff71734adcd4a9eb0b2bab285544 /pcr/i2p/i2prouter.bash
parente5959f47b508bc5d039bd25be95c1f1bae3717f5 (diff)
downloadabslibre-f35f30433bcea7844d6231af3879cb96404a7dd8.tar.gz
abslibre-f35f30433bcea7844d6231af3879cb96404a7dd8.tar.bz2
abslibre-f35f30433bcea7844d6231af3879cb96404a7dd8.zip
Update [pcr/i2p] and do some resyncing with upstream.
rebase on the upstream but remove all the stuff to launch chromium (browser) Cause we dont have it.
Diffstat (limited to 'pcr/i2p/i2prouter.bash')
-rw-r--r--pcr/i2p/i2prouter.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/pcr/i2p/i2prouter.bash b/pcr/i2p/i2prouter.bash
new file mode 100644
index 000000000..d95158603
--- /dev/null
+++ b/pcr/i2p/i2prouter.bash
@@ -0,0 +1,12 @@
+_i2prouter()
+{
+ local cur prev opts
+ _init_completion || return
+
+ COMPREPLY=()
+ cur="${COMP_WORDS[COMP_CWORD]}"
+ prev="${COMP_WORDS[COMP_CWORD-1]}"
+ opts="console start stop graceful restart dump"
+ COMPREPLY=( $(compgen -W "${opts}" -- ${cur}) )
+}
+complete -F _i2prouter i2prouter